Force Cancel Mobility Migrations

Force Cancel Mobility Migrations
Force cancel a migration.

Forcefully terminates a migration that failed to cancel gracefully.

Request
URI
POST
https://{server}/hybridity/api/mobility/migrations/forceCancel
COPY
Request Body

Migration Force Cancel input Object.

forceCancelRequest of type(s) application/json
Required
{
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string"
        }
    ],
    "removeLongRecoveryData": false
}
array of object
items
Optional

items

boolean
removeLongRecoveryData
Optional

it is optional parameter to be used with long recovery migrations only. if true then unused long recovery seed disks would be removed.

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns migrationIntentsPostResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


400

Bad Request

Returns migrationIntentsPostResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/migrations/forceCancel